# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define		_name animstack.scm

Name:		gimp-plugin-animstack
Version:	0.5
Release:	alt1_7
Url:		http://registry.gimp.org/node/26501
Source0:	http://registry.gimp.org/files/%{_name}
Source1:	README
Summary:	A collection of tools to simplify creating animations in GIMP
License:	BSD
Group:		Graphics

BuildArch:	noarch

Requires:	gimp >= 2.8.0

Provides:	animstack-gimp = %{version}-%{release}
Source44: import.info

%description
AnimStack is a collection of tools to simplify creating animations in GIMP.
It makes heavy use of Layer Groups, introduced in GIMP 2.8.

This script also includes my Flatten Layer Groups script.

The typical work flow goes like this:

  * create frames for your animation
  * add foreground and/or background layer(s).
  * tag them with appropriate AnimStack tags by putting them in square brackets 
    anywhere in the layer's name
  * Select Filters -> Animation -> Process AnimStack tags
  * the script adds foreground and background to each untagged frame

%install
mkdir -p %{buildroot}
cp %{S:1} .
install -D -m644 %{S:0} %{buildroot}%{_datadir}/gimp/2.0/scripts/%{_name}

%files
%doc README
%{_datadir}/gimp/2.0/scripts/%{_name}


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_7
- update by mgaimport

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_6
- new version

